No i didnt have that "pkg-config" in that folder. see i have only one file in /usr/local/lib directory. see

iqbal@iqbal-laptop:/usr/local/lib$ ls
python2.6
iqbal@iqbal-laptop:/usr/local/lib$


 No i didnt install any gst-plugin-base. i dont know what are all the files needed to compile the gstreamer for ARM board. and what are the commands used to compile. what are all things i have to export. so pleae help me. so tell me what are all the files needed to compile for arm. now i have 
1)ARM coss compile
2)gst-fsl-plugin-1.6.0
3)fsl-mm-codeclib-1.6.0

   THis are the steps i followed o compile the gstreamer
       1)i exported cross compiler path.
       2)then i tried to compile this gst-fsl-plugin-1.6.0
               by that time only i got this error. so please help me what to do?what are the things i have to do now? and what are the files needed?please help me

On Sun, Dec 27, 2009 at 1:19 PM, Vincent Torri <vtorri@univ-evry.fr> wrote:


On Sun, 27 Dec 2009, Niamathullah sharief wrote:

ya. but i didnt find any "pkg-config" file.where it wil be?what it will
contains? and where we have to copy that file?please help me and ecause i am
newbie

1) if you just used "./configure" to configure gst-plugins-base, then the pkgconfig files are located in /usr/local/lib/pkgconfig. pkgconfig files extension is ".pc"

2) verify that you have gstreamer-plugins-base-0.10.pc in /usr/local/lib/pkgconfig

3) if not, are you sure that you installed gst-plugins-base ?

Vincent Torri



On Sun, Dec 27, 2009 at 1:55 AM, Vincent Torri <vtorri@univ-evry.fr> wrote:



On Sat, 26 Dec 2009, Stefan Kost wrote:

 Am 26.12.2009 22:18, schrieb Niamathullah sharief:

Hello,
 I am compiling gstreamer for my freescale arm based board. i am
getting some errors when i compile it. actually the problem might be
with my side. because i dont know how to link all the files and library
 files we needed for compilation.
i exported the cross compiler path. after that i used ".configure"
command. In that i am getting this below error
"checking for arm-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GST... yes
checking for GST_BASE... yes
checking for GST_PLUGINS_BASE... no
configure: error: no GStreamer plugin base libs found
Configuration of glib library has failed"

Now i to solve this problem and how to link codecs with this compilation
and how to link codec libary files. please help me


you need to export PKG_CONFIG_PATH to include $prefix/lib


$prefix/lib/pkgconfig

Vincent Torri

 . RUn pkg-config


 --list-all | grep gstreamer and check that it lists the missing ones. Make
sure
its not picking up the host ones.

Stefan


------------------------------------------------------------------------------
This SF.Net email is sponsored by the Verizon Developer Community
Take advantage of Verizon's best-in-class app development support
A streamlined, 14 day to market process makes app distribution fast and
easy
Join now and get one step closer to millions of Verizon customers
http://p.sf.net/sfu/verizon-dev2dev
_______________________________________________
Gstreamer-embedded mailing list
Gstreamer-embedded@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gstreamer-embedded